<?php

	$vw_blog_magazine_first_color = get_theme_mod('vw_blog_magazine_first_color');
	$video_blog_second_color = get_theme_mod('video_blog_second_color');

	$vw_blog_magazine_custom_css = '';

	if($vw_blog_magazine_first_color != false){
		$vw_blog_magazine_custom_css .='#preloader{';
			$vw_blog_magazine_custom_css .='background-color: '.esc_attr($vw_blog_magazine_first_color).';';
		$vw_blog_magazine_custom_css .='}';
	}

	if($vw_blog_magazine_first_color != false){
		$vw_blog_magazine_custom_css .='a.video_upload:hover{';
			$vw_blog_magazine_custom_css .='color: '.esc_attr($vw_blog_magazine_first_color).';';
		$vw_blog_magazine_custom_css .='}';
	}

	if($vw_blog_magazine_first_color != false || $video_blog_second_color != false){
		$vw_blog_magazine_custom_css .='.top-header, .sidebar input[type="submit"], .footer input[type="submit"], .sidebar td#today, .footer .tagcloud a:hover, .scrollup i, input[type="submit"], .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce span.onsale, nav.woocommerce-MyAccount-navigation ul li, #comments a.comment-reply-link, .sidebar .woocommerce-product-search button, .sidebar .widget_price_filter .ui-slider .ui-slider-range, .sidebar .widget_price_filter .ui-slider .ui-slider-handle, .footer .woocommerce-product-search button, .footer .widget_price_filter .ui-slider .ui-slider-range, .footer .widget_price_filter .ui-slider .ui-slider-handle, .footer .custom-social-icons i:hover, .sidebar .custom-social-icons i:hover, #video_categry button.owl-prev i:hover, #video_categry button.owl-next i:hover, .blogbutton-small, .footer-2, .pagination .current, .pagination a:hover, #comments input[type="submit"].submit, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a:hover, .toggle-nav i, .sidebar .wp-block-search .wp-block-search__button, .footer .wp-block-search .wp-block-search__button{';
			$vw_blog_magazine_custom_css .='background: linear-gradient(to right, '.esc_attr($vw_blog_magazine_first_color).' , '.esc_attr($video_blog_second_color).');';
		$vw_blog_magazine_custom_css .='}';
	}

	if($vw_blog_magazine_first_color != false || $video_blog_second_color != false){
		$vw_blog_magazine_custom_css .='#comments input[type="submit"].submit, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$vw_blog_magazine_custom_css .='background: linear-gradient(to right, '.esc_attr($vw_blog_magazine_first_color).' , '.esc_attr($video_blog_second_color).') !important;';
		$vw_blog_magazine_custom_css .='}';
	}

	//----------------------- Second color --------------------------
	if($video_blog_second_color != false){
		$vw_blog_magazine_custom_css .='#playlist_sec .metabox:hover a, .postbox:hover h2 a, .postbox:hover .metabox a, .single-post .metabox:hover a, .imagebox h4 a:hover, .footer .wp-block-search .wp-block-search__label{';
			$vw_blog_magazine_custom_css .='color: '.esc_attr($video_blog_second_color).';';
		$vw_blog_magazine_custom_css .='}';
	}
	if($video_blog_second_color != false){
		$vw_blog_magazine_custom_css .='.woocommerce-product-details__short-description p a, .textwidget p a, .entry-content a, .sidebar p a, #comments p a, .comment-meta.commentmetadata a, .video-content h2 a:hover, .footer .wp-block-search .wp-block-search__label{';
			$vw_blog_magazine_custom_css .='color: '.esc_attr($video_blog_second_color).' !important;';
		$vw_blog_magazine_custom_css .='}';
	}
	if($video_blog_second_color != false){
		$vw_blog_magazine_custom_css .='.main-navigation ul ul, hr.big, input[type="submit"], .footer .custom-social-icons i, .sidebar .custom-social-icons i, .footer .custom-social-icons i:hover, .sidebar .custom-social-icons i:hover, a.button:hover{';
			$vw_blog_magazine_custom_css .='border-top-color: '.esc_attr($video_blog_second_color).';';
		$vw_blog_magazine_custom_css .='}';
	}
	if($video_blog_second_color != false){
		$vw_blog_magazine_custom_css .='a.button:hover{';
			$vw_blog_magazine_custom_css .='background-color: '.esc_attr($video_blog_second_color).';';
		$vw_blog_magazine_custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$vw_blog_magazine_theme_lay = get_theme_mod( 'vw_blog_magazine_width_option','Full Width');
    if($vw_blog_magazine_theme_lay == 'Boxed'){
		$vw_blog_magazine_custom_css .='body{';
			$vw_blog_magazine_custom_css .='margin-right: auto !important; margin-left: auto !important;';
		$vw_blog_magazine_custom_css .='}';
		$vw_blog_magazine_custom_css .='.logo{';
			$vw_blog_magazine_custom_css .='width: 100%;';
		$vw_blog_magazine_custom_css .='}';
		$vw_blog_magazine_custom_css .='.read-btn{';
			$vw_blog_magazine_custom_css .='padding-right: 0 !important;';
		$vw_blog_magazine_custom_css .='}';
		$vw_blog_magazine_custom_css .='.top-video .row{';
			$vw_blog_magazine_custom_css .='margin-right:0px; margin-left:0px;';
		$vw_blog_magazine_custom_css .='}';
	}else if($vw_blog_magazine_theme_lay == 'Wide Width'){
		$vw_blog_magazine_custom_css .='.logo{';
			$vw_blog_magazine_custom_css .='width: 100%;';
		$vw_blog_magazine_custom_css .='}';
		$vw_blog_magazine_custom_css .='.top-video .row{';
			$vw_blog_magazine_custom_css .='margin-right:0px; margin-left:0px;';
		$vw_blog_magazine_custom_css .='}';
	}